[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: pm-utils ping-pong upgrade/downgrade problem in F7



On Thu, 27 Sep 2007 22:36:56 +0000 (UTC), Kevin Kofler wrote:

> Ville Skyttä writes:
> > Etc etc.  Duh.  yum does not appear to be affected by this.  I suppose this 
> > could be argued to be a bug either in smart or yum (I don't have that strong 
> > opinions about which one it is although yum behaves in the desired way in 
> > this particular case)
> 
> Synaptic does the right thing too (upgrades pm-utils, installs radeontool and 
> vbetool, no ping-pong). IMHO, this is smart trying to be too smart. This 
> example shows how automatic downgrading is evil.

+1

When the installed set of packages is not broken, i.e. the latest
pm-utils requires the installed radeontool/vbetool pkgs without broken
deps, why does Smart even look at the older pm-utils pkg?

Does it always include old pkgs into its strategy?

> > I'm not sure about this and haven't tested, but I guess adding
> >     Obsoletes: pm-utils < %{version}-%{release}
> > to the new pm-utils could help smart get over it.  Thoughts?

Hmm... but it's already that a new version-release of a pkg implicitly
replaces an old version-release, because that is how updates work.
Effectively, you would try to add something only to get Smart not
look at the old version-release anymore.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]